uniform float iGlobalTime;
uniform vec3 iResolution;
uniform float u_alpha;

uniform sampler2D iChannel0;

void main(void)
{
	vec2 uv = gl_FragCoord.xy / iResolution.xy;

    vec2 texuv = (uv-vec2(0.5));
    texuv.x *= iResolution.z;
    texuv += vec2(iGlobalTime) * vec2(7.777324, 6.661235);
	texuv += vec2(0.5);

	gl_FragColor = texture2D(iChannel0, texuv);
}